local Skins = AleaUI:Module("Skins")
local _G = _G

local varName = 'orderhall'
AleaUI.default_settings.skins[varName] = true

local orderhallAddon = "Blizzard_OrderHallUI"

local function StyleOrderhallWindow()

	_G["OrderHallCommandBar"]:Kill()
	
	OrderHallMissionFrame.GarrCorners:StripTextures()
	OrderHallMissionFrame:StripTextures()
	
	Skins.ThemeBackdrop('OrderHallMissionFrame')
	
	OrderHallMissionFrame.ClassHallIcon:SetAlpha(0)
	
	for i=1, 2 do
		Skins.ThemeTab('OrderHallMissionFrameTab'..i)
	end
	
	Skins.ThemeScrollBar('OrderHallMissionFrameMissionsListScrollFrameScrollBar')
	Skins.ThemeScrollBar('OrderHallMissionFrameFollowersListScrollFrameScrollBar')
	
	Skins.ThemeButton(OrderHallMissionFrame.MissionTab.MissionPage.StartMissionButton)
	Skins.ThemeButton(OrderHallMissionFrame.MissionTab.ZoneSupportMissionPage.StartMissionButton)
	Skins.ThemeButton(OrderHallMissionFrameMissions.CombatAllyUI.InProgress.Unassign)
end

AleaUI:OnInit(function()
	
	if not AleaUI.db.skins.enableAll then return end
	if not AleaUI.db.skins[varName] then return end

	if _G["OrderHallCommandBar"] then
		StyleOrderhallWindow()
	else
		AleaUI:OnAddonLoad(orderhallAddon, StyleOrderhallWindow)
	end
end)